Categories:
  - Internet
License: GPL-2.0-only
WebSite: https://owncloud.org
SourceCode: https://github.com/owncloud/android
IssueTracker: https://github.com/owncloud/android/issues
Changelog: https://github.com/owncloud/android/blob/HEAD/CHANGELOG.md
Donate: https://www.bountysource.com/teams/owncloud

AutoName: ownCloud
Description: |-
    ownCloud is a free software package you can install on a server to manage files,
    contacts, calendars, music, pictures and much more. This is the official Android
    app which enables you to browse all of your ownCloud synced files, create and
    edit new files, share these files and folders with co-workers, and keep the
    contents of those folders in sync across all of your devices. Simply copy a file
    into a directory on your server and ownCloud does the rest.

RepoType: git
Repo: https://github.com/owncloud/android.git

Builds:
  - versionName: 1.3.1
    versionCode: 103001
    commit: 239be8fb4f
    submodules: true
    androidupdate:
      - .
      - actionbarsherlock/library

  - versionName: 1.3.7
    versionCode: 103007
    commit: e7ed69aeed
    submodules: true
    androidupdate:
      - .
      - actionbarsherlock/library

  - versionName: 1.3.8
    versionCode: 103008
    commit: be22e58b39
    submodules: true
    androidupdate:
      - .
      - actionbarsherlock/library

  - versionName: 1.3.12
    versionCode: 103012
    commit: oc-android-1-3-12
    submodules: true
    androidupdate:
      - .
      - actionbarsherlock/library

  - versionName: 1.3.14
    versionCode: 103014
    commit: oc-android-1-3-14
    submodules: true
    prebuild: $$SDK$$/tools/android update project -p actionbarsherlock/library -s
        -t 13

  - versionName: 1.3.17
    versionCode: 103017
    commit: oc-android-1-3-17
    submodules: true
    prebuild: $$SDK$$/tools/android update project -p actionbarsherlock/library -s
        -t 13

  - versionName: 1.3.18
    versionCode: 103018
    commit: oc-android-1-3-18
    submodules: true
    androidupdate:
      - .
      - actionbarsherlock/library

  - versionName: 1.3.20
    versionCode: 103020
    commit: oc-android-1-3-20
    submodules: true
    androidupdate:
      - .
      - actionbarsherlock/library

  - versionName: 1.3.21
    versionCode: 103021
    commit: oc-android-1-3-21
    submodules: true
    androidupdate:
      - .
      - actionbarsherlock/library

  - versionName: 1.3.22
    versionCode: 103022
    commit: oc-android-1-3-22
    submodules: true
    androidupdate:
      - .
      - actionbarsherlock/library

  - versionName: 1.4.0
    versionCode: 104000
    commit: oc-android-1-4-0
    submodules: true
    androidupdate:
      - .
      - actionbarsherlock/library

  - versionName: 1.4.1
    versionCode: 104001
    commit: oc-android-1.4.1
    submodules: true
    androidupdate:
      - .
      - actionbarsherlock/library

  - versionName: 1.4.3
    versionCode: 104003
    commit: oc-android-1.4.3
    submodules: true
    androidupdate:
      - .
      - actionbarsherlock/library

  - versionName: 1.4.4
    versionCode: 104004
    commit: oc-android-1.4.4
    submodules: true
    androidupdate:
      - .
      - actionbarsherlock/library

  - versionName: 1.4.5
    versionCode: 104005
    commit: oc-android-1.4.5
    submodules: true
    androidupdate:
      - .
      - actionbarsherlock/library

  - versionName: 1.4.6
    versionCode: 104006
    commit: oc-android-1.4.6
    submodules: true
    androidupdate:
      - .
      - actionbarsherlock/library

  - versionName: 1.5.0
    versionCode: 105000
    commit: oc-android-1.5.0
    submodules: true

  - versionName: 1.5.1
    versionCode: 105001
    commit: oc-android-1.5.1
    submodules: true

  - versionName: 1.5.2
    versionCode: 105002
    commit: oc-android-1.5.2
    submodules: true

  - versionName: 1.5.3
    versionCode: 105003
    disable: uses git@github in .gitmodules
    commit: oc-android-1.5.3
    submodules: true

  - versionName: 1.5.4
    versionCode: 105004
    commit: oc-android-1.5.4
    submodules: true

  - versionName: 1.5.5
    versionCode: 105005
    commit: oc-android-1.5.5
    submodules: true
    prebuild: cp third_party/android-support-library/android-support-v4.jar actionbarsherlock/library/libs/android-support-v4.jar

  - versionName: 1.5.6
    versionCode: 105006
    commit: oc-android-1.5.6
    submodules: true
    prebuild: cp third_party/android-support-library/android-support-v4.jar actionbarsherlock/library/libs/android-support-v4.jar

  - versionName: 1.5.7
    versionCode: 105007
    commit: oc-android-1.5.7
    submodules: true
    prebuild: cp third_party/android-support-library/android-support-v4.jar actionbarsherlock/library/libs/android-support-v4.jar

  - versionName: 1.5.8
    versionCode: 10500800
    commit: oc-android-1.5.8
    submodules: true
    prebuild: cp third_party/android-support-library/android-support-v4.jar actionbarsherlock/library/libs/android-support-v4.jar

  - versionName: 1.6.0
    versionCode: 10600000
    commit: oc-android-1.6.0
    submodules: true
    prebuild: cp third_party/android-support-library/android-support-v4.jar actionbarsherlock/library/libs/android-support-v4.jar

  - versionName: 1.6.1
    versionCode: 10600100
    commit: oc-android-1.6.1
    submodules: true
    prebuild: cp third_party/android-support-library/android-support-v4.jar actionbarsherlock/library/libs/android-support-v4.jar

  - versionName: 1.6.2
    versionCode: 10600200
    commit: oc-android-1.6.2
    submodules: true
    prebuild: cp third_party/android-support-library/android-support-v4.jar actionbarsherlock/library/libs/android-support-v4.jar

  - versionName: 1.7.0
    versionCode: 10700000
    commit: oc-android-1.7.0
    submodules: true
    srclibs:
      - 1:ActionBarSherlock@4.4.0
      - 3:TouchImageView@v1.2.0
      - DiskLruCache@disklrucache-2.0.2
    rm:
      - libs
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - cp -fR $$DiskLruCache$$/src/main/java/com src/
      - cp libs/android-support-v4.jar $$ActionBarSherlock$$/libs/
      - cp libs/android-support-v4.jar $$TouchImageView$$/libs/
      - pushd $$TouchImageView$$
      - android update lib-project -p ./
      - echo "android.library=true" >> project.properties

  - versionName: 1.7.1
    versionCode: 10700100
    commit: oc-android-1.7.1_oem
    submodules: true
    srclibs:
      - 1:ActionBarSherlock@4.4.0
      - 3:TouchImageView@v1.2.0
      - DiskLruCache@disklrucache-2.0.2
    rm:
      - libs
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - cp -fR $$DiskLruCache$$/src/main/java/com src/
      - cp libs/android-support-v4.jar $$ActionBarSherlock$$/libs/
      - cp libs/android-support-v4.jar $$TouchImageView$$/libs/
      - pushd $$TouchImageView$$
      - android update lib-project -p ./
      - echo "android.library=true" >> project.properties

  - versionName: 1.7.2
    versionCode: 10700200
    commit: oc-android-1.7.2
    submodules: true
    srclibs:
      - 2:Support/v7/appcompat@android-4.4.4_r2.0.1
      - 3:TouchImageView@v1.2.0
      - DiskLruCache@disklrucache-2.0.2
    rm:
      - libs
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - cp libs/android-support-v4.jar $$Support$$/libs/
      - cp -fR $$DiskLruCache$$/src/main/java/com src/
      - mv libs/android-support-v4.jar $$TouchImageView$$/libs/
      - pushd $$TouchImageView$$
      - android update lib-project -p ./
      - echo "android.library=true" >> project.properties

  - versionName: 1.8.0
    versionCode: 10800000
    commit: oc-android-1.8
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - libs/android-support*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 1.9.0
    versionCode: 10900000
    commit: oc-android-1.9
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - libs/android-support*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 1.9.1
    versionCode: 10900100
    commit: oc-android-1.9.1
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - libs/android-support*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.0.0
    versionCode: 20000000
    commit: oc-android-2.0.0
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - libs/android-support*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.0.1
    versionCode: 20000001
    commit: oc-android-2.0.1
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.1.0
    versionCode: 20100000
    commit: oc-android-2.1.0
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.1.1
    versionCode: 20100100
    commit: oc-android-2.1.1
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.1.2
    versionCode: 20100200
    commit: oc-android-2.1.2
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.2.0
    versionCode: 20200000
    commit: oc-android-2.2.0
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.3.0
    versionCode: 20300000
    commit: oc-android-2.3.0
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.4.0
    versionCode: 20400000
    commit: oc-android-2.4.0
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.5.0
    versionCode: 20500000
    commit: oc-android-2.5.0
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.6.0
    versionCode: 20600000
    commit: oc-android-2.6.0
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.7.0-beta.1
    versionCode: 20600100
    commit: oc-android-2.7.0-beta.1
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.7.0
    versionCode: 20700000
    commit: oc-android-2.7.0
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.8.0-beta.1
    versionCode: 20700100
    commit: oc-android-2.8.0-beta.1
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.8.0
    versionCode: 20800000
    commit: oc-android-2.8.0
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.9.0-beta.1
    versionCode: 20800100
    commit: oc-android-2.9.0-beta.1
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.9.0-beta.2
    versionCode: 20800200
    commit: oc-android-2.9.0-beta.2
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.9.0
    versionCode: 20900000
    commit: oc-android-2.9.0
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.9.1
    versionCode: 20900100
    commit: oc-android-2.9.1
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.9.2
    versionCode: 20900200
    commit: oc-android-2.9.2
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.9.3
    versionCode: 20900300
    commit: oc-android-2.9.3
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - owncloud-android-library/libs
      - user_manual

  - versionName: 2.10.0-beta.1
    versionCode: 20900400
    commit: oc-android-2.10.0-beta.1
    subdir: owncloudApp
    submodules: true
    gradle:
      - yes
    rm:
      - user_manual

  - versionName: 2.10.0
    versionCode: 21000000
    commit: oc-android-2.10.0
    subdir: owncloudApp
    submodules: true
    gradle:
      - yes
    rm:
      - user_manual

  - versionName: 2.10.1
    versionCode: 21001000
    commit: oc-android-2.10.1
    subdir: owncloudApp
    submodules: true
    gradle:
      - yes
    rm:
      - user_manual

  - versionName: 2.11.0-beta.1
    versionCode: 21002000
    commit: oc-android-2.11.0-beta.1
    subdir: owncloudApp
    submodules: true
    gradle:
      - yes
    rm:
      - user_manual

  - versionName: 2.11.0
    versionCode: 21100000
    commit: oc-android-2.11.0
    subdir: owncloudApp
    submodules: true
    gradle:
      - yes
    rm:
      - user_manual

  - versionName: 2.11.1
    versionCode: 21100100
    commit: oc-android-2.11.1
    subdir: owncloudApp
    submodules: true
    gradle:
      - yes
    rm:
      - user_manual

  - versionName: '2.12'
    versionCode: 21200000
    commit: oc-android-2.12
    subdir: owncloudApp
    submodules: true
    gradle:
      - yes
    rm:
      - user_manual

  - versionName: '2.13'
    versionCode: 21300000
    commit: oc-android-2.13
    subdir: owncloudApp
    submodules: true
    gradle:
      - yes
    rm:
      - user_manual

  - versionName: 2.13.1
    versionCode: 21300100
    commit: oc-android-2.13.1
    subdir: owncloudApp
    submodules: true
    gradle:
      - yes
    rm:
      - user_manual

  - versionName: 2.14.1
    versionCode: 21400100
    commit: oc-android-2.14.1
    subdir: owncloudApp
    submodules: true
    gradle:
      - yes
    rm:
      - user_manual

AutoUpdateMode: Version oc-android-%v
UpdateCheckMode: Tags ^oc-android-[0-9.]*$
CurrentVersion: 2.14.1
CurrentVersionCode: 21400100
